Issue 5839

Summary: Replacement of single quote/apostroph does not always work
Product: Writer Reporter: hochhaltinger <hochhaltinger>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues, pernegger, rainerbielefeld_ooo_qa
Version: OOo 1.0.0Keywords: oooqa
Target Milestone: ---   
Hardware: Other   
OS: Other OS   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
screenshot, what OOo does
none
screenshot, what is the correct way none

Description hochhaltinger 2002-06-14 14:55:43 UTC
Hi!

In the german (Windows) version of OpenOffice 1.0 one necessary replacement is not made. 
The Symbol "'"is normally replaced into the appropriate single quote and single unquote 
characters. 

In one case I would need another replacement whereas the normal "single 
unquote" character shows "tail up". But if I use this character as apostroph, e.g. in words like 
"it's" or "don't" I would need the _other_ character: "tail down".

I must admit that 
Microsoft Word _can_ handle this problem   ;-)

with regarde

Adolf Hochhaltinger
Comment 1 Rainer Bielefeld 2003-06-06 16:03:17 UTC
Hi, 
does this problem still exist in OOo 1.0.3?

If it does, please attach the file that reproduces this problem 
_here_in_the_issue_.

I will also ask other german users what they think about this.

CU

Rainer
Comment 2 Regina Henschel 2003-06-07 11:24:44 UTC
Hello,

I have tested it in OOo1031 and in SO6.1beta2, both german on Win98.
If typographische Anführungszeichen is on for single quote, you get
the right characters in case of <blank><'>cite<'>. When you will use
the <'> as apostroph without leading <blank>, then you get the wrong
character unicode2018 (looks like 6) but it must be unicode 2019
(looks like 9). That is a bug.
Concerning an apostroph with leading <blank>, there cannot be a
solution, because you cannot decide wether the user will make a cite
or   leave out a character. You can only handle one of the cases.

kind regards
Regina
Comment 3 Regina Henschel 2003-06-10 22:18:53 UTC
Created attachment 6783 [details]
screenshot, what OOo does
Comment 4 Regina Henschel 2003-06-10 22:20:01 UTC
Created attachment 6784 [details]
screenshot, what is the correct way
Comment 5 Rainer Bielefeld 2003-06-13 11:30:53 UTC
We discussed this in [de-users] with results as following.
Please have a look on 
<http://www.unicode.org/charts/PDF/U0000.pdf>
for further information!

As per comment
- Additional Comments From Regina Henschel 2003-06-07 03:24 PDT -
the problem is that the apostroph ' is replaced by AUTOCORRECT with a
wrong character.

Let's take this line here as an example:
actual: autocorrect will replace the apostroph [Unicode 0027] by 
        [Unicode 2018] ( looks like a little "6" )
wanted: in german, the recommended sign for an apostroph is 
        [Unicode 2019], which looks like a little "9", which defers 
        from the german "single unquote" [Unicode 2018]
workaround: all OS: insert special character [Unicode 2019]
            WINDOWS: alt-0146
wanted: a spcial key to insert an apostroph instead of "single quote" 
        and "single unquote" and might be a special autoreplace-mode
        which recognizes an apostroph in a word (as in let's).

Senseful keys might be:
<AltGr><#>
<shift><ctrl><#>
<Strg><shift><#> and then <shift><#> (so in MS WORD)

Some additional comments:
Especially for handling the problems as per attachment "right.png":
-  'ne Mark (apostroph ant the beginning of the word)
and an apostroph at the end of the word, a special key for the
apostroph is the only possible solution, I do not see any other
possibility how AUTOCORREDT can decide whether the author wants single
quote (or single unquote) or an apostroph.

I must accent that al this only is valid for German language!

Because we have an (not so verey elegant) workaround, I decided:
P4, Enhancement, Later.

I think it's also "all OS", but I am not sure (reporter, what is your
OS - WIN?????).

Rainer
Comment 6 stefan.baltzer 2003-07-04 10:08:28 UTC
SBA->Rainer: If the reporter refers to the Windows version of OO, that
might be the platform he actually used ;-)
But you are right, the AutoCorrection stuff should be completely
platform independant. I modified the title to get closer to the real
problem. I doubt that this affects only german and therefore removed
it from the title. (Anyone fluent in all 45+ languages OO.org is
translated to??? ;-)

By the way: Please note that the summary should be a summary. The best
one is one that doesn't even need a description. Remember that there
are many people here that have to cross-read a huge amount of issues
every day. So if a problem gets a better description after a while,
please always update the summary. I have to process a lot of issues
(go and query my intray ;-) and I HATE it to read "a few meters" of
description and finally find out that the problem mutated and is far
away from what the summary "promised". Thank you for your comprehension.

Reassigned to Bettina.
Comment 7 Rainer Bielefeld 2003-07-04 10:26:02 UTC
Hi Stefan,

I agree that this might not be _only_ a "German-language-problem", but
pls. see that there are differences in the use of the typographic
forms of all those apostrophes, quotes and so on.
For example: 
german  single unquote is unicode 2018, apostrophe is unicode 2019
english single unquote is unicode 2019, apostrophe is unicode 2019 (?)
(all: as far as I know!)
So everybody thinks WORD uses the right german replacement for the
apostrophe, but that's only because WORD uses wrong unicode 2019 for
the german single unquote

Rainer
Comment 8 ace_dent 2008-05-16 02:41:31 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 9 Rainer Bielefeld 2008-06-25 05:46:00 UTC
I still see these problems in "Ooo-dev 3.0.0 Beta Multilingual version German UI
WIN XP: [300m17 (Build9313)]"
Comment 10 fallenguru 2010-04-26 22:18:46 UTC
How about smart quotes never kick in when there's no whitespace before and after
the ['] in question?

That wouldn't solve the issue completely, since the apostrophe-or-quote problem
can't be decided automatically at the beginning or end of a word, but I really
can't think of a case where I'd want a quotation mark in the middle of one.
Comment 11 bettina.haberer 2010-05-21 15:16:50 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".